EulerOS 2.0 SP2:libmspack (EulerOS-SA-2019-2454)

high Nessus Plugin ID 131608
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 EulerOS 主機缺少多個安全性更新。

描述

根據安裝的 libmspack 套件版本,遠端主機上的 EulerOS 安裝會受到下列弱點影響:- 在 libmspack 0.8alpha 之前的版本中,mspack/chmd.c 中的 chmd_read_headers 可接受第一或第二個字元為「\0」的檔案名稱 (如「/\0」名稱)。(CVE-2018-18585) - 在 libmspack 0.5alpha 中,mspack/cabd.c 中的 cabd_read_string 函式 (如 ClamAV 0.99.2 和其他產品所用) 可讓遠端攻擊者透過特製的 CAB 檔案造成拒絕服務 (堆疊型緩衝區過度讀取和應用程式損毀)。(CVE-2017-11423) - libmspack 0.5alpha 中的 mspack/lzxd.c (如 ClamAV 0.99.2 所用) 可讓遠端攻擊者透過特製的 CHM 檔案造成拒絕服務 (堆積型緩衝區溢位和應用程式損毀),或可能造成其他不明影響。(CVE-2017-6419) 請注意,Tenable Network Security 已直接從 EulerOS 安全性公告擷取前置描述區塊。Tenable 已盡量在不造成其他問題的前提下,嘗試自動清理並將其格式化。

解決方案

更新受影響的 libmspack 套件。

另請參閱

http://www.nessus.org/u?9263d1be

Plugin 詳細資訊

嚴重性: High

ID: 131608

檔案名稱: EulerOS_SA-2019-2454.nasl

版本: 1.5

類型: local

已發布: 2019/12/4

已更新: 2021/1/6

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 7.8

時間分數: 6.8

媒介: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:huawei:euleros:libmspack, cpe:/o:huawei:euleros:2.0

必要的 KB 項目: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

排除在外的 KB 項目: Host/EulerOS/uvp_version

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2019/12/4

參考資訊

CVE: CVE-2017-11423, CVE-2017-6419, CVE-2018-18585